WordPress et l’outil de test des données structurées de Google

Avec WordPress et le thème “Twenty twelve” (ou twenty-eleven), l’outil de test des données structurées de google (http://www.google.com/webmasters/tools/richsnippets) indique une erreur : Missing required field “updated”. Pour corriger ce bug, il faut éditer le fichier “functions.php” du thème en question, et chercher la ligne contenant:

<time class="entry-date" datetime="%3$s"></time>

et remplacez-là par cette ligne:

<time class="entry-date updated" datetime="%3$s"></time>

Le bug est corrigé.

Autre problème: le plugin “bad-behavior” empêche de faire fonctionner cet outil de test des données structurées de google. L’outil indique simplement “bad input” ou “saisie non valide”. Solution: il faut whitelister au niveau du plugin le serveur google, avec ce CIDR:

64.18.0.0/20
64.233.160.0/19
66.102.0.0/20
66.249.80.0/20
72.14.192.0/18
74.125.0.0/16
173.194.0.0/16
207.126.144.0/20
209.85.128.0/17
216.239.32.0/19

Commentaires

Commentaires

Julien Sansonnens
Chercheur en santé publique, informaticien dipl, passionné d'histoire, de photographie et de littérature.

5 commentaires

  1. Bonjour,
    j’ai changer le fichier function.php comme vous dites. Mais ça n’a rien changer au niveau des erreurs. J’ai toujours les erreurs uptade dans google tools.
    Une idée de ce que je peut faire ?

  2. bonjour,

    votre atricle est très intéressant. J’ai effectivement ce type de soucis mais avec un autre thème. Je rencontre une autre erreur, champ manquant : author. Pouvez-vous m’indiquer comment régler ce problème. Merci à vous et bonnes fêtes de fin d’année.

Leave a Comment

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *